<?php


function isLoggedIn(){
    return  isset($_SESSION['login']) ? true : false;
}
function getLoggedinUser (){
    return  $_SESSION['login'] ?? null ;

}


function getCurrentUserId(){
  return getLoggedinUser()->id ?? 0;
}

function userRegister($userData) {

   GLOBAL $conn ;
   $pass = $userData['regpass'] ;
   $passHash = password_hash($pass , PASSWORD_BCRYPT ) ;
   $sql = "INSERT INTO `users`(`name`, `email`, `password`) VALUES (:name , :email , :pass)";
   $stmp = $conn->prepare($sql);
   $stmp -> execute([':name'=>$userData['regname'] ,':email'=>$userData['regmail'], ':pass'=>$passHash]);

   return $stmp->rowCount() ? true : false;

}

function getUserByEmail($emailLog) {

    GLOBAL $conn ;
    $sql = "SELECT * FROM `users` WHERE `email` = :email ";
    $stmp = $conn->prepare($sql);
    $stmp -> execute([':email'=>$emailLog]);
    $recurds = $stmp ->fetchAll(PDO::FETCH_OBJ);
    return $recurds[0] ?? null;
 }
 
function login($emailLog ,$pass) {
    $user = getUserByEmail($emailLog);
    if (is_null($user)) {
        return false;
    }
    if (password_verify($pass,$user->password)) {

        $user->image = "https://www.gravatar.com/avatar/" . md5( strtolower( trim( $user->email ) ) );

        $_SESSION['login'] = $user ;
        return true;
    }

    return false;
    
 }

    function logout() {
        unset($_SESSION['login']);
    }




