<?php


function  getProject(){

    global $conn;
    $userid = getCurrentUserId();
    $sql = "SELECT * FROM `project` WHERE `user_id` = $userid";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $projects = $stmt->fetchAll(PDO::FETCH_OBJ);
    return $projects;
}


function addNewProject($projectName){
    
    GLOBAL $conn;
    $userid = getCurrentUserId();
    $sql= "INSERT INTO `project` (`name`, `user_id`) VALUES (:name,:user);";
    $stmt = $conn->prepare($sql);
    $stmt->execute([':name'=>$projectName,':user'=>$userid]);

    return $stmt->rowCount();
}


function deleteProject($delproject){
    
    GLOBAL $conn;
    $sql= "DELETE FROM `project` WHERE id= $delproject;";
    $stmt = $conn->prepare($sql);
    $stmt->execute();

    return $stmt->rowCount();
}

function deleteAssignment($delAssignment){
    
    GLOBAL $conn;
    $sql= "DELETE FROM `assignment` WHERE id= $delAssignment;";
    $stmt = $conn->prepare($sql);
    $stmt->execute();

    return $stmt->rowCount();
}


function  getAssignment(){

    global $conn;
    $porjectid = $_GET['project_id'] ?? null;
    if (isset($porjectid) and is_numeric($porjectid)) {
        $porjectid = $_GET['project_id'] ?? null;
    }else { $porjectid = 0 ; }
    $userid = getCurrentUserId();
    $sql = "SELECT * FROM `assignment` WHERE `user_id` = $userid AND `project_id` = $porjectid ";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $assignment = $stmt->fetchAll(PDO::FETCH_OBJ);
    return $assignment;
}


function deadtime($timeset){
    $tisa = $timeset * 86400 ;
    $tisb = $tisa + time() ;
    $tibc = date('Y-m-d H:i:s', $tisb);
    return $tibc ;
}

function addNewAssignment($ProjectId , $AssignmenName , $deadline){

    GLOBAL $conn;
    $userid = getCurrentUserId();
    $sql= "INSERT INTO `assignment` (`title`, `project_id`, `user_id`,`deadline` ) VALUES (:title,:project_id,:user,:dead);";
    $stmt = $conn->prepare($sql);
    $stmt->execute([':title'=>$AssignmenName,':project_id'=>$ProjectId ,':user'=>$userid, ':dead'=>$deadline]);

    return $stmt->rowCount();
}

function allassignment($ProjectId){

    GLOBAL $conn;
    $sql = "SELECT COUNT(*) FROM `assignment` WHERE `project_id` = $ProjectId";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $assignment = $stmt->fetch() ;

    return $assignment;
}
function doneassignment($dnProjectId){

    GLOBAL $conn;
    $sql = "SELECT COUNT(*) FROM `assignment` WHERE `project_id` = $dnProjectId  AND  `is_done` = 1";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $assignment = $stmt->fetch() ;

    return $assignment;
}
function isDoneAssignment($AssigtID){

    GLOBAL $conn;
    $userid = getCurrentUserId();
    $sql = "UPDATE `assignment` SET `is_done`= 1 - `is_done` WHERE `user_id` = $userid AND id = $AssigtID";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $assignment = $stmt->rowCount();

    return $assignment;
}
